Create an event filter rule
Creates an event filter rule to specify criteria for matching events, using type, message, and parameter criteria. Use this when you need to filter events based on certain patterns or parameters.
HTTP method and endpoint
POST /support/ems/filters/{name}/rules
Introduced in
ONTAP 9.6
Required properties
-
type- Enumeration indicating whether the rule is for include or exclude. -
message_criteria- Message criteria used by a rule to match an event. -
parameter_criteria- Parameter criteria used by a rule to match an event. Note: At least one pattern needs to be provided for message_criteria and / or parameter_criteria.
Recommended optional properties
-
index- One-based position index of the new rule.
Related ONTAP commands
-
event filter rule add
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
path |
True |
Filter name |
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
index |
integer |
Rule index. Rules are evaluated in ascending order. If a rule's index order is not specified during creation, the rule is appended to the end of the list. |
message_criteria |
Matching message definitions for the filter. A property must be specified. |
|
parameter_criteria |
array[parameter_criteria] |
Parameter criteria used to match against events' parameters. Each parameter consists of a name and a value. When multiple parameter criteria are provided in a rule, all must match for the rule to be considered matched. A pattern can include one or more wildcard '*' characters. |
type |
string |
Rule type |
Example request
{
"index": 1,
"message_criteria": {
"name_pattern": "wafl.*",
"severities": "emergency,alert,error",
"snmp_trap_types": "standard,built_in"
},
"parameter_criteria": [
{
"name_pattern": "vol",
"value_pattern": "cloud*"
}
],
"type": "include"
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[records] |
Example response
{
"num_records": 1,
"records": [
{
"index": 1,
"message_criteria": {
"name_pattern": "wafl.*",
"severities": "emergency,alert,error",
"snmp_trap_types": "standard,built_in"
},
"parameter_criteria": [
{
"name_pattern": "vol",
"value_pattern": "cloud*"
}
],
"type": "include"
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
983092 |
The index of the rule provided is outside the allowed range for the filter provided |
983095 |
The rule index provided is invalid for the filter provided |
983113 |
Default filters cannot be modified or removed |
983115 |
The maximum number of filter rules is reached |
983126 |
A rule requires at least one name_pattern, severities, snmp_trap_types, or parameter pattern to be defined |
983127 |
A property cannot contain a combination of the wildcard characters and other values |
983128 |
An invalid value is provided for the property 'snmp_trap_types' |
983146 |
An invalid value is provided for the property 'severities' |
983147 |
The severities provided are not supported |
983155 |
The provided severities property does not match that of the name_pattern |
983156 |
The provided snmp_trap_types property does not match that of the name_pattern |
983157 |
The provided severities and snmp_trap_types properties do not match those of the name_pattern |
983158 |
The name_pattern provided does not exist |
983195 |
Empty field in parameter_criteria. Both name and value patterns must be specified |
983196 |
name_pattern and value_pattern fields in parameter_criteria are empty |
983211 |
Parameter criteria based filtering is not supported in this version of ONTAP |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
message_criteria
Matching message definitions for the filter. A property must be specified.
| Name | Type | Description |
|---|---|---|
name_pattern |
string |
Message name filter on which to match. Supports wildcards. Defaults to * if not specified. |
severities |
string |
A comma-separated list of severities or a wildcard. |
snmp_trap_types |
string |
A comma separated list of snmp_trap_types or a wildcard. |
parameter_criteria
Criterion used for parameter based filtering
| Name | Type | Description |
|---|---|---|
name_pattern |
string |
Parameter name pattern. Wildcard character '*' is supported. |
value_pattern |
string |
Parameter value pattern. Wildcard character '*' is supported. |
ems_filter_rule
Rule for an event filter
| Name | Type | Description |
|---|---|---|
index |
integer |
Rule index. Rules are evaluated in ascending order. If a rule's index order is not specified during creation, the rule is appended to the end of the list. |
message_criteria |
Matching message definitions for the filter. A property must be specified. |
|
parameter_criteria |
array[parameter_criteria] |
Parameter criteria used to match against events' parameters. Each parameter consists of a name and a value. When multiple parameter criteria are provided in a rule, all must match for the rule to be considered matched. A pattern can include one or more wildcard '*' characters. |
type |
string |
Rule type |
records
Rule for an event filter
| Name | Type | Description |
|---|---|---|
index |
integer |
Rule index. Rules are evaluated in ascending order. If a rule's index order is not specified during creation, the rule is appended to the end of the list. |
message_criteria |
Matching message definitions for the filter. A property must be specified. |
|
parameter_criteria |
array[parameter_criteria] |
Parameter criteria used to match against events' parameters. Each parameter consists of a name and a value. When multiple parameter criteria are provided in a rule, all must match for the rule to be considered matched. A pattern can include one or more wildcard '*' characters. |
type |
string |
Rule type |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |